<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

$report_committees_fields = array(
	'name' =>  array(
		'start_option_group' => 'Committee Member Name',
		'name' => 'Committee Member -- Full Name ',
		'header' => 'Name',
		'width' => 44.45 /*mm*/,
		'table' => "CONCAT(users.firstname, ' ', users.lastname)",
		'table_sort' => 'users.lastname'),

	'last_name' =>  array(
		'name' => 'Committee Member -- Last Name',
		'header' => 'Last Name',
		'width' => 25.4 /*mm*/,
		'table' => 'users.lastname' ),

	'first_name' => array(
		'name' => 'Committee Member -- First Name',
		'header' => 'First Name',
		'width' => 25.4 /*mm*/,
		'table' => 'users.firstname' ),

	'email' =>  array(
		'start_option_group' => 'Committee Member Contact Information',
		'name' => 'Committee Member -- Email',
		'header' => 'Email',
		'width' => 50.8 /*mm*/,
		'table' => 'accounts.email'),

	'phone_home' => array(
		'name' => 'Committee Member -- Phone (Home)',
		'header' => 'Phone(Home)',
		'width' => 25.4 /*mm*/,
		'table' => 'users.phonehome'),

	'phone_work' => array(
		'name' => 'Committee Member -- Phone (Work)',
		'header' => 'Phone(Work)',
		'width' => 31.75 /*mm*/,
		'table' => 'users.phonework'),
		
	'phone_cel' => array(
		'name' => 'Committee Member -- Phone (Cell)',
		'header' => 'Phone(Cell)',
		'width' => 25.4 /*mm*/,
		'table' => 'users.phonecell'),

	'address' =>  array(
		'name' => 'Committee Member -- Address Street',
		'header' => 'Address',
		'width' => 50.8 /*mm*/,
		'table' => "CONCAT(users.address, ' ', users.address2)"),

	'city' =>  array(
		'name' => 'Committee Member -- Address City',
		'header' => 'City',
		'width' => 38.1 /*mm*/,
		'table' => 'users.city' ),

	'province' =>  array(
		'name' => 'Committee Member -- Address '.$config['provincestate'],
		'header' => $config['provincestate'],
		'width' => 19.05 /*mm*/,
		'table' => 'users.province' ),

	'postal' =>  array(
		'name' => 'Committee Member -- Address '.$config['postalzip'],
		'header' => $config['postalzip'],
		'width' => 19.05 /*mm*/,
		'table' => 'users.postalcode' ),

	'organization' => array(
		'start_option_group' => 'Committee Member Misc.',
		'name' => 'Committee Member -- Organization',
		'header' => 'Organization',
		'width' => 50.8 /*mm*/,
		'table' => 'users.organization'),

	'firstaid' => array(
		'name' => 'Committee Member -- First Aid Training',
		'header' => 'F.Aid',
		'width' => 12.7 /*mm*/,
		'table' => 'users.firstaid',
		'value_map' =>array ('no' => 'no', 'yes' => 'YES')),

	'cpr' => array(
		'name' => 'Committee Member -- CPR Training',
		'header' => 'CPR',
		'width' => 12.7 /*mm*/,
		'table' => 'users.cpr',
		'value_map' =>array ('no' => 'no', 'yes' => 'YES')),

		
	/* The label system depends on each report type having conference_name and conference_logo */
	'conference_name' =>  array(
		'start_option_group' => 'Conference Information',
                'name' => 'Conference -- Name',
                'header' => 'Conference Name',
                'width' => 76.2 /*mm*/,
                'table' => "'".mysql_escape_string($conference['name'])."'"),

	'conference_logo' =>  array(
		'name' => 'Conference -- Logo (for Labels only)',
		'header' => '',
		'width' => 1 /*mm*/,
		'table' => "CONCAT(' ')"),

	'static_text' =>  array(
		'start_option_group' => 'Special Fields',
		'name' => 'Static Text (useful for labels)',
		'header' => '',
		'width' => 2.54 /*mm*/,
		'table' => "CONCAT(' ')"),

);

 function report_committees_fromwhere($report, $components)
 {
 	global $config, $report_committees_fields;
	
	$fields = $report_committees_fields;
/*
	// if this gets unremarked for future use, then the year references will need to be updated to use conferences instead
	$year = $report['year'];

	$teams_from = '';
	$teams_where = '';
	if(in_array('teams', $components)) {
		$teams_from = ",committees_teams_link, committees_teams";
		$teams_where = "AND committees_teams_link.committees_id=users.id
                	        AND committees_teams_link.year='$year'
                        	AND committees_teams.id=committees_teams_link.committees_teams_id
				AND committees_teams.year='$year'";
	}
*/										
	$q = "	FROM 	users
			LEFT JOIN user_roles on user_roles.users_id=users.id
			LEFT JOIN accounts ON accounts.id=users.accounts_id
		WHERE
			user_role.type='committee'
		";

	return $q;
}

?>
